<?php
/**
 * Tale Travel Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Tale Travel Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function tale_travel_pro_custom_colors_css() {
  	$options= tale_travel_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	#respond input[type="submit"],
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	input[type="submit"],
	.reply a,
	.btn,
	.entry-meta:before,
	.wp-travel-filter form input[type="submit"],
	.wp-travel-trip-meta-info,
	.wp-travel.trip-headline-wrapper .wp-travel-booknow-btn,
	#wp-travel-send-enquiries,
	.archive.post-type-archive .wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.wp-travel-archive-content #primary .wp-travel-explore a,
	.ws-theme-cart-page .coupon input[type=submit], 
	.ws-theme-cart-page .coupon .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field select[type=submit], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page .coupon select[type=submit], 
	.ws-theme-cart-page .coupon .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field textarea[type=submit], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page .coupon textarea[type=submit],
	.ws-theme-cart-page .actions .book-now-btn,
	.ws-theme-cart-page button[disabled], 
	.ws-theme-cart-page input[disabled], 
	.ws-theme-cart-page .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field select[disabled], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page select[disabled], 
	.ws-theme-cart-page .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field textarea[disabled], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page textarea[disabled],
	.wp-travel-form-field.button-field input[type="submit"],
	.payment-content input[type="submit"],
	.dashboard-tab .payment-content input[type="submit"], 
	.dashboard-tab .account-setting input[type="submit"],
	.wp-travel-default-article .wp-travel-explore a,
	.wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.dashboard-tab ul.resp-tabs-list,
	.wp-travel-toolbar .wp-travel-post-filter .wp-travel-filter-by-heading,
	.widget_wp_travel_filter_search_widget input[type="submit"],
	.widget_wp_travel_search input[type="submit"],
	.wp-trave-price-range .ui-widget.ui-widget-content,
	.wp-trave-price-range .ui-state-default, 
	.wp-trave-price-range .ui-widget-content .ui-state-default, 
	.wp-trave-price-range .ui-widget-header .ui-state-default, 
	.wp-trave-price-range .ui-button, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:hover, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:active { 
		background-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	a,
	.site-title a,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	ul.post-categories li:after ,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.more-link:hover,
	.more-link:focus,
	.btn-transparent:hover,
	.btn-transparent:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	.entry-meta a:hover,
	.entry-meta a:focus,
	.wp-travel-trip-code code,
	.description-left .entry-title a:hover, 
	.description-left .entry-title a:focus, 
	.item_cart a:hover,
	.item_cart a:focus,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a:hover,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a:focus,
	.resp-tabs-container .list-item-wrapper a:hover strong,
	.resp-tabs-container .list-item-wrapper a:focus strong,
	.description-left .entry-meta a:hover,
	.description-left .entry-meta a:focus,
	.wp-trave-price-range .ui-state-default, 
	.wp-trave-price-range .ui-widget-content .ui-state-default, 
	.wp-trave-price-range .ui-widget-header .ui-state-default, 
	.wp-trave-price-range .ui-button, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:hover, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:active,
	.wp-tab-review-inner-wrapper .commentlist .reply,
	.single-itineraries .comment-reply-link,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.single-wrapper .entry-meta > span a:hover,
	.single-wrapper .entry-meta > span a:focus,
	.wp-travel-average-review span,
	#primary .wp-travel-average-review:before, 
	.single-itineraries .wp-travel-average-review:before {
		color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	#secondary-menu a:hover svg,
	#secondary-menu a:focus svg,
	svg.icon-menu,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.more-link svg { 
		fill: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	#respond input[type="submit"],
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	input[type="submit"],
	.reply a,
	.btn,
	.wp-travel.trip-headline-wrapper .wp-travel-booknow-btn,
	#wp-travel-send-enquiries,
	.archive.post-type-archive .wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.wp-travel-archive-content #primary .wp-travel-explore a,
	.ws-theme-cart-page .coupon input[type=submit], 
	.ws-theme-cart-page .coupon .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field select[type=submit], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page .coupon select[type=submit], 
	.ws-theme-cart-page .coupon .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field textarea[type=submit], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page .coupon textarea[type=submit],
	.ws-theme-cart-page .actions .book-now-btn,
	.ws-theme-cart-page button[disabled], 
	.ws-theme-cart-page input[disabled], 
	.ws-theme-cart-page .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field select[disabled], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page select[disabled], 
	.ws-theme-cart-page .wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field textarea[disabled], 
	.wp-travel-tab-wrapper .wp-travel-booking-form-wrapper form .wp-travel-form-field .ws-theme-cart-page textarea[disabled],
	.wp-travel-form-field.button-field input[type="submit"],
	.payment-content input[type="submit"],
	.dashboard-tab .payment-content input[type="submit"], 
	.dashboard-tab .account-setting input[type="submit"],
	.wp-travel-default-article .wp-travel-explore a,
	.wp-travel-toolbar .wp-travel-filter-button .btn-wp-travel-filter,
	.widget_wp_travel_filter_search_widget input[type="submit"],
	.widget_wp_travel_search input[type="submit"],
	.wp-trave-price-range .ui-state-default, 
	.wp-trave-price-range .ui-widget-content .ui-state-default, 
	.wp-trave-price-range .ui-widget-header .ui-state-default, 
	.wp-trave-price-range .ui-button, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:hover, 
	html .wp-trave-price-range .ui-button.ui-state-disabled:active,
	.single-itineraries .comment-reply-link:hover,
	.single-itineraries .comment-reply-link:focus { 
		border-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	#secondary .widget > ul li:first-child, 
	#secondary .widget > ul li:hover, 
	#secondary .widget_nav_menu ul li:first-child, 
	#secondary .widget_nav_menu ul li:hover {
	    border-left-color: ' . esc_attr($color_value) . ';
	}';

	$css .= '
	.wp-travel-tab-wrapper .tab-list.resp-tabs-list li.resp-tab-active {
	    border-bottom-color: ' . esc_attr($color_value) . ';
	}';

	$css .= '
	.dashboard-tab ul.resp-tabs-list li.resp-tab-active {
	    -webkit-box-shadow: inset 2px 0px 0 ' . esc_attr($color_value) . ';
	    box-shadow: inset 2px 0px 0 ' . esc_attr($color_value) . ';
	}';

	$css .= '
	input[type="submit"]:hover,
	input[type="submit"]:focus {
		background-color: #000;
	    border-color: #000;
	    color: #fff;
	}

	input[type="submit"] {
		color: #fff;
	}';

	$css .= '
	@media screen and (min-width: 1024px) {
		.main-navigation ul ul {
		    background-color: ' . esc_attr($color_value) . ';
		}
		#search:before {
		    border-bottom-color: ' . esc_attr($color_value) . ';
		}
		.main-navigation form.search-form {
		    border-color: ' . esc_attr($color_value) . ';
		}
	}
	@media screen and (max-width: 1023px) {
		.menu-open .menu-toggle .icon-close {
			fill: ' . esc_attr($color_value) . ';
		}
	}';

	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Tale Travel Pro custom colors CSS.
	 *
	 * @since Tale Travel Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'tale_travel_pro_custom_colors_css', $css );
}
