<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Tale Travel Pro
* @since Tale Travel Pro 1.0.0
*/

if ( ! function_exists( 'tale_travel_pro_validate_long_excerpt' ) ) :
  function tale_travel_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'tale-travel-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'tale-travel-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'tale-travel-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'tale_travel_pro_validate_top_stories_count' ) ) :
  function tale_travel_pro_validate_top_stories_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'tale-travel-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'tale-travel-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'tale-travel-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'tale_travel_pro_validate_popular_trips_count' ) ) :
  function tale_travel_pro_validate_popular_trips_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'tale-travel-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'tale-travel-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'tale-travel-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'tale_travel_pro_validate_trending_count' ) ) :
  function tale_travel_pro_validate_trending_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'tale-travel-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'tale-travel-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'tale-travel-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'tale_travel_pro_validate_blog_count' ) ) :
  function tale_travel_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'tale-travel-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'tale-travel-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'tale-travel-pro' ) );
     }
     return $validity;
  }
endif;
